:root {
  --c-indigo-1: #3451b2;
  --c-indigo-2: #3a5ccc;
  --c-indigo-3: #5672cd;
  --c-green: #1a7f37;
  --c-red: #c53030;
  --c-yellow: #9a6700;
  --c-dir: #54aeff;
  --c-gray-soft: rgba(142, 150, 170, .14);
  --c-bg: #ffffff;
  --c-bg-alt: #f6f6f7;
  --c-bg-elv: #ffffff;
  --c-text-1: rgba(60, 60, 67);
  --c-text-2: rgba(60, 60, 67, .78);
  --c-text-3: rgba(60, 60, 67, .56);
  --c-border: #c2c2c4;
  --c-divider: #e2e2e3;
}

@media (prefers-color-scheme: dark) {
  :root {
    --c-indigo-1: #a8b1ff;
    --c-indigo-2: #5c73e7;
    --c-indigo-3: #3e63dd;
    --c-green: #57ab5a;
    --c-red: #e5534b;
    --c-yellow: #c69026;
    --c-dir: #9198a1;
    --c-gray-soft: rgba(101, 117, 133, .16);
    --c-bg: #1b1b1f;
    --c-bg-alt: #161618;
    --c-bg-elv: #202127;
    --c-text-1: rgba(255, 255, 245, .86);
    --c-text-2: rgba(235, 235, 245, .6);
    --c-text-3: rgba(235, 235, 245, .38);
    --c-border: #3c3f44;
    --c-divider: #2e2e32;
  }
}

:root {
  --c-brand-1: var(--c-indigo-1);
  --c-brand-2: var(--c-indigo-2);
  --c-brand-3: var(--c-indigo-3);
  --font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  --font-family-mono: ui-monospace, SFMono-Regular, "SF Mono", Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  --code-line-height: 20px;
  --code-font-size: 12px;
  --code-color: var(--c-brand-1);
  --code-bg: var(--c-gray-soft);
  --code-block-bg: var(--c-bg-alt);
  --code-block-color: var(--c-text-1);
  --header-height: 46px;
  --border-radius: 6px;
  --max-content-width: 1470px;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: var(--font-family), sans-serif;
  font-size: 14px;
  line-height: 1;
  color: var(--c-text-1);
  background-color: var(--c-bg);
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.nowrap {
  white-space: nowrap;
}

h1 {
  margin-inline: 0;
  margin-block: 16px;
  font-size: 20px;
  font-weight: 600;
}

a {
  color: var(--c-brand-1);
  font-weight: 500;
  text-decoration: underline;
  text-underline-offset: 2px;
  text-decoration: inherit;
  touch-action: manipulation;
}

a:hover {
  color: var(--c-brand-2);
  text-decoration: underline;
}

.menu {
  background-color: var(--c-bg-alt);
  border-bottom: 1px solid var(--c-divider);
  overflow-x: auto;
}

.menu-content {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
  padding-inline: 16px;
  max-width: var(--max-content-width);
  margin-inline: auto;
}

.menu-item {
  display: flex;
  align-items: center;
  border-bottom: 2px solid transparent;
  height: 56px;
  padding-inline: 8px;
}

.menu-item a {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
  color: var(--c-text-1);
  padding: 8px 10px;
  border-radius: 4px;
}

.menu-item a:hover {
  background-color: var(--c-bg-elv);
  text-decoration: none;
}

.menu-item.selected {
  border-bottom-color: var(--c-brand-1);
}

.project-name {
  font-weight: 600;
  font-size: 16px;
  margin-inline: 16px;
  color: var(--c-text-1);
  text-decoration: none;
}

main {
  flex-grow: 1;
  width: 100%;
  max-width: var(--max-content-width);
  margin: 16px auto;
}

.main-content {
  padding-inline: 16px;
}

footer {
  padding: 12px 16px;
  background-color: var(--c-bg-alt);
  border-top: 1px solid var(--c-divider);
  color: var(--c-text-3);
  font-size: 12px;
  text-align: center;
}

header {
  display: flex;
  flex-direction: row;
  align-items: center;
  min-height: var(--header-height);
  padding-inline: 16px;
  background: var(--c-bg-alt);
  border: 1px solid var(--c-border);
  border-top-left-radius: var(--border-radius);
  border-top-right-radius: var(--border-radius);
}

header h1 {
  word-break: break-all;
  font-weight: 600;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

.header-ref {
  color: var(--c-text-2);
  border: 1px solid var(--c-border);
  border-radius: 6px;
  padding: 6px 10px;
  margin-right: 10px;
  margin-left: -6px;
}

header .path {
  font-size: 16px;
}

.breadcrumbs {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 6px;
  font-size: 16px;
}

.breadcrumbs a {
  word-break: break-all;
}
